--[[-------------------------------------------------------------------------------

	Author: thelegendaryof <thelegendaryof@gmail.com>	
	Package: @FastReport
	Version: 1.1.9

	Game: The Elder Scrolls - Online
	File: Report-Templates.lua
	Path: \
	
	Description:
	
	Customize your Report-Templates here :)
	
	Template-List:
	"default"	=> Default / Fallback Template in case no Player has been tracked yet
	"tracked"	=> Template if a Player that you have tracked should get reported 

	Variables: 
	{name}	 	=> Name of the Player
	{class}  	=> Class of the Player (localized)
	{class_id}	=> Class ID of the Player
	{level}		=> Level of the Player
	{map}		=> Map / Location where you met the Player
	{x}			=> Approximate X Position where you met the Player
	{y}			=> Approximate Y Position where you met the Player
	{z}			=> Approximate Z Position where you met the Player
	{time}		=> Time where you met the Player OR the current time if no time has been tracked yet (f.e. in "default")
	
  ]]-------------------------------------------------------------------------------

FastReport_Templates = {}
  
-- default template 
FastReport_Templates["DEFAULT"] = [[
			
	Dear Support-Team,
	
	I want to report a Player, because ...
	
	Approximate Time of Event: {time}
	
	COPY TO THE RIGHT AND ENTER REASON!
	
]]

-- tracked template in case you want to report a tracked player
FastReport_Templates["TRACKED"] = [[
			
	Dear Support-Team,
	
	I've met a suspicious Player on my Travels.
	
	Player-Name: {name}
	Map / Location: {map}
	Approximate Position: [x:{x}], [y:{y}], [z:{z}]
	Time: {time}	

	COPY TO THE RIGHT AND ENTER REASON!

]]
