-----------------------------
-- UTILS
-----------------------------

-- Well, gets the Time
function GetTime(mode)
	mode = mode or 1 -- 1: 24h (default), 2: 12h
	
	local ts = GetTimeString()
	local sep = ":"
	local ft, hh, mm, ss
	
	if(mode == 1) then
		hh, mm, ss = ts:match("([^:]+):([^:]+):([^:]+)")
		ft = hh..sep..mm..sep..ss
	elseif(mode == 2) then
		local add = "am"
		if tonumber(hh) > 12 then hh = hh - 12; add = "pm"; end
		if tonumber(hh) == 12 then add = "pm"; end
		if tonumber(hh) == 0 then hh = 12; end		
		ft = hh..sep..mm..sep..ss..add
	end
	
	return ft, ts, hh, mm, ss
end

-- Wy's Buffer 
local BufferTable = {}
function FastReport_BufferReached(key, buffer)
	if key == nil then return end
	if BufferTable[key] == nil then BufferTable[key] = {} end
	BufferTable[key].buffer = buffer or 3
	BufferTable[key].now = GetFrameTimeSeconds()
	if BufferTable[key].last == nil then BufferTable[key].last = BufferTable[key].now end
	BufferTable[key].diff = BufferTable[key].now - BufferTable[key].last
	BufferTable[key].eval = BufferTable[key].diff >= BufferTable[key].buffer
	if BufferTable[key].eval then BufferTable[key].last = BufferTable[key].now end
	return BufferTable[key].eval
end

-- Mapped Tables
function mapped_table(t) 
		local ret = setmetatable({}, {
			__newindex = function(self,k,v) 
				rawset(self,k,v) -- map index as key, return value (default)
				rawset(self,v,k) -- map value as key, return index
			end
		})
				
		for k, v in pairs(t) do
			ret[#ret+1] = v 
		end
		
		return ret
end

-- Function to help parsing our Report-Templates
function replace_vars(str, vars)
  -- Allow replace_vars{str, vars} syntax as well as replace_vars(str, {vars})
  if not vars then
    vars = str
    str = vars[1]
  end
  return (string.gsub(str, "({([^}]+)})",
    function(whole,i)
      return vars[i] or whole
    end))
end

function trim(s)
 local from = s:match"^%s*()"
 return from > #s and "" or s:match(".*%S", from)
end